Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class ListenerSubscriptionPair

    java.lang.Object
      org.mule.context.notification.ListenerSubscriptionPair

    public class ListenerSubscriptionPair

extends Object

A simple tuple that stores a listener with an optional subscription (used to match a resource ID).

Constructor Summary
`ListenerSubscriptionPair()` For config - must be constructed using the setters
`ListenerSubscriptionPair(ServerNotificationListener listener)`
`ListenerSubscriptionPair(ServerNotificationListener listener, String subscription)`

Method Summary
`boolean` | `equals(Object obj)`
`ServerNotificationListener` | `getListener()`
`String` | `getSubscription()`
`int` | `hashCode()`
`boolean` | `isNullSubscription()`
`void` | `setListener(ServerNotificationListener listener)`
`void` | `setSubscription(String subscription)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListenerSubscriptionPair

    public ListenerSubscriptionPair()

  For config - must be constructed using the setters

### ListenerSubscriptionPair

    public ListenerSubscriptionPair(ServerNotificationListener listener)

### ListenerSubscriptionPair

    public ListenerSubscriptionPair(ServerNotificationListener listener,
                                    String subscription)

Method Detail

### setListener

    public void setListener(ServerNotificationListener listener)

### setSubscription

    public void setSubscription(String subscription)

### getListener

    public ServerNotificationListener getListener()

### getSubscription

    public String getSubscription()

### isNullSubscription

    public boolean isNullSubscription()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.